Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.dao.jpa
Class EventDAOImpl

    java.lang.Object
      org.apache.ode.dao.jpa.EventDAOImpl

    public class EventDAOImpl

extends java.lang.Object

Constructor Summary
`EventDAOImpl()`

Method Summary
`java.lang.String` | `getDetail()`
`BpelEvent` | `getEvent()`
`java.lang.Long` | `getId()`
`ProcessInstanceDAOImpl` | `getInstance()`
`ProcessDAOImpl` | `getProcess()`
`java.lang.Long` | `getScopeId()`
`java.sql.Timestamp` | `getTstamp()`
`java.lang.String` | `getType()`
`void` | `setDetail(java.lang.String detail)`
`void` | `setEvent(BpelEvent event)`
`void` | `setId(java.lang.Long id)`
`void` | `setInstance(ProcessInstanceDAOImpl instance)`
`void` | `setProcess(ProcessDAOImpl process)`
`void` | `setScopeId(java.lang.Long scopeId)`
`void` | `setTstamp(java.sql.Timestamp tstamp)`
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDAOImpl

    public EventDAOImpl()

Method Detail

### getEvent

    public BpelEvent getEvent()

### setEvent

    public void setEvent(BpelEvent event)

### getDetail

    public java.lang.String getDetail()

### setDetail

    public void setDetail(java.lang.String detail)

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getInstance

    public ProcessInstanceDAOImpl getInstance()

### setInstance

    public void setInstance(ProcessInstanceDAOImpl instance)

### getProcess

    public ProcessDAOImpl getProcess()

### setProcess

    public void setProcess(ProcessDAOImpl process)

### getTstamp

    public java.sql.Timestamp getTstamp()

### setTstamp

    public void setTstamp(java.sql.Timestamp tstamp)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getScopeId

    public java.lang.Long getScopeId()

### setScopeId

    public void setScopeId(java.lang.Long scopeId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD